<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: xAPI_Definitions_Parser.Code.SyntaxTree.Argument Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser.html">xAPI_Definitions_Parser</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html">Code</a></li><li class="navelem"><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree.html">SyntaxTree</a></li><li class="navelem"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#properties">Properties</a> &#124;
<a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">xAPI_Definitions_Parser.Code.SyntaxTree.Argument Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>An argument in the syntax tree  
 <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a50b481155bc31da85d808b8cca00f919"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html#a50b481155bc31da85d808b8cca00f919">Argument</a> ()</td></tr>
<tr class="separator:a50b481155bc31da85d808b8cca00f919"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad309dee2ef6f14da3b62eca7644b2311"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html#ad309dee2ef6f14da3b62eca7644b2311">Argument</a> (object value, string name=default)</td></tr>
<tr class="separator:ad309dee2ef6f14da3b62eca7644b2311"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3917b862fa96b53114631ac080b92bbb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html#a3917b862fa96b53114631ac080b92bbb">WithName</a> (string name)</td></tr>
<tr class="separator:a3917b862fa96b53114631ac080b92bbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab52785b366617c7ca28b594ce86af6d3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html#ab52785b366617c7ca28b594ce86af6d3">WithValue</a> (object value)</td></tr>
<tr class="separator:ab52785b366617c7ca28b594ce86af6d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="properties" name="properties"></a>
Properties</h2></td></tr>
<tr class="memitem:a432a10cc55dcfa13a70de484cd2ec4d2"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html#a432a10cc55dcfa13a70de484cd2ec4d2">Name</a><code> [get]</code></td></tr>
<tr class="memdesc:a432a10cc55dcfa13a70de484cd2ec4d2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the argument  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html#a432a10cc55dcfa13a70de484cd2ec4d2">More...</a><br /></td></tr>
<tr class="separator:a432a10cc55dcfa13a70de484cd2ec4d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19217ae2d69255e6f18a69de930779f4"><td class="memItemLeft" align="right" valign="top">ref readonly object&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html#a19217ae2d69255e6f18a69de930779f4">Value</a><code> [get]</code></td></tr>
<tr class="memdesc:a19217ae2d69255e6f18a69de930779f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Value of the argument  <a href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html#a19217ae2d69255e6f18a69de930779f4">More...</a><br /></td></tr>
<tr class="separator:a19217ae2d69255e6f18a69de930779f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >An argument in the syntax tree </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a50b481155bc31da85d808b8cca00f919" name="a50b481155bc31da85d808b8cca00f919"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50b481155bc31da85d808b8cca00f919">&#9670;&nbsp;</a></span>Argument() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Argument.Argument </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad309dee2ef6f14da3b62eca7644b2311" name="ad309dee2ef6f14da3b62eca7644b2311"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad309dee2ef6f14da3b62eca7644b2311">&#9670;&nbsp;</a></span>Argument() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">xAPI_Definitions_Parser.Code.SyntaxTree.Argument.Argument </td>
          <td>(</td>
          <td class="paramtype">object&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em> = <code>default</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a3917b862fa96b53114631ac080b92bbb" name="a3917b862fa96b53114631ac080b92bbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3917b862fa96b53114631ac080b92bbb">&#9670;&nbsp;</a></span>WithName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> xAPI_Definitions_Parser.Code.SyntaxTree.Argument.WithName </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab52785b366617c7ca28b594ce86af6d3" name="ab52785b366617c7ca28b594ce86af6d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab52785b366617c7ca28b594ce86af6d3">&#9670;&nbsp;</a></span>WithValue()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html">Argument</a> xAPI_Definitions_Parser.Code.SyntaxTree.Argument.WithValue </td>
          <td>(</td>
          <td class="paramtype">object&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Property Documentation</h2>
<a id="a432a10cc55dcfa13a70de484cd2ec4d2" name="a432a10cc55dcfa13a70de484cd2ec4d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a432a10cc55dcfa13a70de484cd2ec4d2">&#9670;&nbsp;</a></span>Name</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string xAPI_Definitions_Parser.Code.SyntaxTree.Argument.Name</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Name of the argument </p>

</div>
</div>
<a id="a19217ae2d69255e6f18a69de930779f4" name="a19217ae2d69255e6f18a69de930779f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a19217ae2d69255e6f18a69de930779f4">&#9670;&nbsp;</a></span>Value</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">ref readonly object xAPI_Definitions_Parser.Code.SyntaxTree.Argument.Value</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">get</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Value of the argument </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>xAPI Definitions Parser/Code/SyntaxTree/<a class="el" href="_argument_8cs.html">Argument.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
